phpCAS version 1.3.6

Functions | Variables
Callback from the CAS server
Implementation » CAS Proxy features (CAS 2.0, Proxy Granting Tickets)

## Functions
| CAS_Client::_setCallbackMode ($callback_mode)
| CAS_Client::_isCallbackMode ()
| CAS_Client::_getCallbackURL ()
| CAS_Client::setCallbackURL ($url)
| CAS_Client::_callback ()

## Variables
| CAS_Client::$_callback_mode
| CAS_Client::$_callback_url

## Detailed Description

## Function Documentation

## ◆ _callback()

CAS_Client::_callback | ( |  | ) |
| private

This method is called by CAS_Client::CAS_Client() when running in callback mode. It stores the PGT and its PGT Iou, prints its output and halts.

Returns
  void

Definition at line 2400 of file Client.php.

References phpCAS\error(), CAS_Client\printHTMLFooter(), CAS_Client\printHTMLHeader(), phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceExit().

Referenced by CAS_Client\_wasPreviouslyAuthenticated().

## ◆ _getCallbackURL()

CAS_Client::_getCallbackURL | ( |  | ) |
| private

This method returns the URL that should be used for the PGT callback (in fact the URL of the current request without any CGI parameter, except if phpCAS::setFixedCallbackURL() was used).

Returns
  The callback URL

Definition at line 2360 of file Client.php.

References CAS_Client\$_callback_url, and CAS_Client\_getClientUrl().

Referenced by CAS_Client\validateCAS20().

## ◆ _isCallbackMode()

CAS_Client::_isCallbackMode | ( |  | ) |
| private

This method returns true when the CAs client is running i callback mode, false otherwise.

Returns
  A boolean.

Definition at line 2339 of file Client.php.

References CAS_Client\$_callback_mode.

Referenced by CAS_Client\__construct(), and CAS_Client\_wasPreviouslyAuthenticated().

## ◆ _setCallbackMode()

CAS_Client::_setCallbackMode | ( |  | $callback_mode | ) |
| private

This method sets/unsets callback mode.

Parameters

  bool | $callback_mode | true to set callback mode, false otherwise.

Returns
  void

Definition at line 2328 of file Client.php.

Referenced by CAS_Client\__construct().

## ◆ setCallbackURL()

CAS_Client::setCallbackURL | ( |  | $url | ) |

This method sets the callback url.

Parameters

  string | $url | url to set callback

Returns
  void

Definition at line 2383 of file Client.php.

References CAS_Client\ensureIsProxy().

## Variable Documentation

## ◆ $_callback_mode

CAS_Client::$_callback_mode
| private

each PHP script using phpCAS in proxy mode is its own callback to get the PGT back from the CAS server. callback_mode is detected by the constructor thanks to the GET parameters. a boolean to know if the CAS client is running in callback mode. Written by CAS_Client::setCallBackMode(), read by CAS_Client::_isCallbackMode().

Definition at line 2319 of file Client.php.

Referenced by CAS_Client\_isCallbackMode().

## ◆ $_callback_url

CAS_Client::$_callback_url
| private

the URL that should be used for the PGT callback (in fact the URL of the current request without any CGI parameter). Written and read by CAS_Client::_getCallbackURL().

Definition at line 2351 of file Client.php.

Referenced by CAS_Client\_getCallbackURL().